Bug 1261614 - [RFE] Please upgrade Skrooge to latest stable version 2.1
[RFE] Please upgrade Skrooge to latest stable version 2.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: skrooge (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1310294
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 14:59 EDT by Sudhir Khanger
Modified: 2016-03-27 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 06:27:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir Khanger 2015-09-09 14:59:28 EDT
Description of problem: As the title says please upgrade Skrooge to version 2.1 which is also based off KF5.

https://projects.kde.org/news/306


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Siddharth Sharma 2015-09-24 16:55:13 EDT
Thanks , but the problem is skrooge-2.1 uses sqlcipher and which is not available on fedora so even if I compile it without sqlcipher it might create some problems opening encrypted files. I am currently working on sqlcipher packaging but there are some more problems related to that. sqlcipher seems to have embedded sqlite and such things are not encouraged.
Comment 2 Sudhir Khanger 2015-12-27 12:06:35 EST
Hi Siddharth,

Any update on your progress. I wouldn't have bothered but Skrooge 1.x gave up on Fedora 23. I will install debug symbols tonight to post a bug report.



Application: Skrooge (skrooge), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[KCrash Handler]
#6  0x00007f0d0aae8700 in QWidget::layout() const () from /lib64/libQtGui.so.4
#7  0x00007f0d10c89139 in SKGMainPanel::displayMessage(QString const&, SKGDocument::MessageType) () from /lib64/libskgbasegui.so.1
#8  0x00007f0d10c88bd0 in SKGMainPanel::displayErrorMessage(QString const&) () from /lib64/libskgbasegui.so.1
#9  0x00007f0d10c8acae in SKGMainPanel::displayErrorMessage(SKGError const&, QAction*) () from /lib64/libskgbasegui.so.1
#10 0x00007f0ce7b5cd8e in SKGFilePlugin::onNew() () from /usr/lib64/kde4/skg_file.so
#11 0x00007f0ce7b5d3f4 in SKGFilePlugin::setupActions(SKGDocument*, QStringList const&) () from /usr/lib64/kde4/skg_file.so
#12 0x00007f0d10c9d701 in SKGMainPanel::SKGMainPanel(KSplashScreen*, SKGDocument*, QStringList const&) () from /lib64/libskgbasegui.so.1
#13 0x00007f0d10c882b0 in SKGUniqueApplication::newInstance() () from /lib64/libskgbasegui.so.1
#14 0x00007f0d0b836e5b in KUniqueApplicationAdaptor::newInstance(QByteArray const&, QByteArray const&) () from /lib64/libkdeui.so.5
#15 0x00007f0d0b836f0d in KUniqueApplicationAdaptor::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.18] () from /lib64/libkdeui.so.5
#16 0x00007f0d0b837163 in KUniqueApplicationAdaptor::qt_metacall(QMetaObject::Call, int, void**) () from /lib64/libkdeui.so.5
#17 0x00007f0d09eef2a5 in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QList<int> const&, int) () from /lib64/libQtDBus.so.4
#18 0x00007f0d09ef080c in QDBusConnectionPrivate::activateCall(QObject*, int, QDBusMessage const&) () from /lib64/libQtDBus.so.4
#19 0x00007f0d09ef152d in QDBusConnectionPrivate::activateObject(QDBusConnectionPrivate::ObjectTreeNode&, QDBusMessage const&, int) () from /lib64/libQtDBus.so.4
#20 0x00007f0d09ef172b in QDBusActivateObjectEvent::placeMetaCall(QObject*) () from /lib64/libQtDBus.so.4
#21 0x00007f0d09b76821 in QObject::event(QEvent*) () from /lib64/libQtCore.so.4
#22 0x00007f0d0aaa900f in QApplication::event(QEvent*) () from /lib64/libQtGui.so.4
#23 0x00007f0d0aaa393c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#24 0x00007f0d0aaaa796 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#25 0x00007f0d0b82f54a in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#26 0x00007f0d09b5c8dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#27 0x00007f0d09b5fef6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQtCore.so.4
#28 0x00007f0d09b8cd1e in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtCore.so.4
#29 0x00007f0d0288ce3a in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#30 0x00007f0d0288d1d0 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#31 0x00007f0d0288d27c in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#32 0x00007f0d09b8ce8e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#33 0x00007f0d0ab4c3e6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#34 0x00007f0d09b5b151 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#35 0x00007f0d09b5b4c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#36 0x00007f0d09b61069 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#37 0x0000558b9ba27208 in main ()
Comment 3 Siddharth Sharma 2016-02-19 23:31:36 EST
sqlcipher package review request

https://bugzilla.redhat.com/show_bug.cgi?id=1310294, after this is done I would fix skrooge-2.1
Comment 4 Rex Dieter 2016-02-19 23:33:53 EST
fyi, skrooge-2.2 is already in rawhide
Comment 5 Rex Dieter 2016-02-19 23:44:49 EST
Oh, and for testing purposes,
https://copr.fedorainfracloud.org/coprs/rdieter/Skrooge/
Comment 6 Sudhir Khanger 2016-03-27 06:27:07 EDT
I suppose this can be closed.

There's version 2.3 which I hope will land in f24 and COPR soon.

Note You need to log in before you can comment on or make changes to this bug.